View Issue Details

IDProjectCategoryView StatusLast Update
0001511Far ManagerViewerpublic2013-06-06 08:40
Reporterm_fox2kAssigned To2useven10 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP2
Product Version2.0 
Target VersionFixed in Version3.0 
Summary0001511: кодировка Shift_jis
Descriptionнеправильно отображаются файлы в режиме просмотра, если он сохранён в японской кодировке shift_jis.
Steps To Reproduceустановить японский язык и выбрать его по умолчанию для не юникод программ.
Additional Informationприлагаю скриншот и тестовый файл.

описание кодировки
http://en.wikipedia.org/wiki/Shift_JIS
TagsNo tags attached.
Build3343

Activities

m_fox2k

2010-09-22 06:50

reporter  

far_shift_jis.zip (23,517 bytes)

m_fox2k

2010-09-22 09:26

reporter  

far_shift_jis.png (24,607 bytes)
far_shift_jis.png (24,607 bytes)

2useven10

2013-05-31 17:35

developer   bugnote:0011057

3439

m_fox2k

2013-06-04 06:28

reporter  

far_jp.png (30,633 bytes)
far_jp.png (30,633 bytes)

m_fox2k

2013-06-04 06:30

reporter   bugnote:0011087

в режиме просмотра ничего не поменялось.
редактор отображает правильно, но любое изменение строчки с канзи делает их не читаемыми.
и не знаю имеет ли отношение, но если имя файла на канзи, то в панелях баги отметил на скриншоте.

2useven10

2013-06-05 00:03

developer   bugnote:0011092

проверять надо версию 3443.
насчет канзи в панелях это другая проблема, хотя аналогичные артефакты в просмотре-редакторе тоже возможны. общего решения для этого пока нет.
консоль не умеет работать с символами ширина которых больше 1 (в вашем случае 1.5, бывает 2), хотя может быть можно избавиться от части артефактов.

Aidar

2013-06-05 20:05

reporter  

ConEmu_Far3Panel.png (1,812 bytes)
ConEmu_Far3Panel.png (1,812 bytes)

Aidar

2013-06-05 20:07

reporter   bugnote:0011101

Last edited: 2013-06-05 20:07

View 2 revisions

Для нормальной работы с кандзи в редакторе и на панелях (пока) нужен ConEmu: см.
приложенный файл ConEmu_Far3Panel.

m_fox2k

2013-06-06 04:09

reporter   bugnote:0011107

в 3443 в редакторе и просмотре канзи правильно отображаются.
позиция курсора не совпадает с символом, но собственно не очень удобно что-то набирать по-японски в консольном приложении.

строчки в панели съезжают, но теперь везде имена файлов правильно отображаются.

2useven10

2013-06-06 08:40

developer   bugnote:0011108

проблема тикета решена.
по остальному, на текущий момент есть 2 решения: ConEmu и шрифт с иероглифами и обычными символами одной ширины. оба помещают один символ в одно знакоместо, либо сжатием иероглифов, либо растягиванием/разреживанием обычных символов. и то и другое выглядит не лучшим образом, но альтернативы пока нет.

Issue History

Date Modified Username Field Change
2010-09-22 06:50 m_fox2k New Issue
2010-09-22 06:50 m_fox2k File Added: far_shift_jis.zip
2010-09-22 09:26 m_fox2k File Added: far_shift_jis.png
2013-05-14 16:26 2useven10 Category Codepage Detector (UCD) => Viewer
2013-05-31 17:35 2useven10 Note Added: 0011057
2013-05-31 17:35 2useven10 Assigned To => 2useven10
2013-05-31 17:35 2useven10 Status new => feedback
2013-06-04 06:28 m_fox2k File Added: far_jp.png
2013-06-04 06:30 m_fox2k Note Added: 0011087
2013-06-04 06:30 m_fox2k Status feedback => assigned
2013-06-05 00:03 2useven10 Note Added: 0011092
2013-06-05 20:05 Aidar File Added: ConEmu_Far3Panel.png
2013-06-05 20:07 Aidar Note Added: 0011101
2013-06-05 20:07 Aidar Note Edited: 0011101 View Revisions
2013-06-06 04:09 m_fox2k Note Added: 0011107
2013-06-06 08:40 2useven10 Note Added: 0011108
2013-06-06 08:40 2useven10 Build => 3343
2013-06-06 08:40 2useven10 Status assigned => closed
2013-06-06 08:40 2useven10 Resolution open => fixed
2013-06-06 08:40 2useven10 Fixed in Version => 3.0